cascading.flow.stream.element

## Class TrapHandler

- java.lang.Object
- - cascading.flow.stream.element.TrapHandler

    public class TrapHandler
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`TrapHandler(FlowProcess flowProcess)`
`TrapHandler(FlowProcess flowProcess, FlowElement flowElement, Tap trap, java.lang.String trapName)`

### Method Summary

Methods
`protected void` `handleException(java.lang.String trapName, Tap trap, java.lang.Throwable throwable, TupleEntry tupleEntry)`
`protected void` `handleException(java.lang.Throwable exception, TupleEntry tupleEntry)`
`protected void` `handleReThrowableException(java.lang.String message, java.lang.Throwable throwable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TrapHandler

    public TrapHandler(FlowProcess flowProcess)

#### TrapHandler

    public TrapHandler(FlowProcess flowProcess,
               FlowElement flowElement,
               Tap trap,
               java.lang.String trapName)

### Method Detail

#### handleReThrowableException

    protected void handleReThrowableException(java.lang.String message,
                                  java.lang.Throwable throwable)

#### handleException

    protected void handleException(java.lang.Throwable exception,
                       TupleEntry tupleEntry)

#### handleException

    protected void handleException(java.lang.String trapName,
                       Tap trap,
                       java.lang.Throwable throwable,
                       TupleEntry tupleEntry)